#
# spec file for package bttv (Version 0.5.8)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  mmbase mmcore mmslib xpm gpp libgpp libjpeg

%define MOTIF_VERSION 2
Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         bttv
Release:      6
Copyright:    (C) 1996,97 Ralph Metzler Copyright:  Marcus Metzler
Group: 
Provides:     bttv xtvscreen 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.5.8
Summary:      Video4Linux BT848 frame grabber driver
Source:       http://www.thp.uni-koeln.de/~rjkm/linux/bttv-0.5.8.tar.gz
Patch:        bttv-0.5.8.dif
#BuildRoot:    /tmp/bttv
%description
Driver for TV cards with a X11/Motifprogram for cards with the Bt848
chipset: Miro PCTV, Hauppauge Win/TV pci, STB PCI TV, Intel Smart Video
III and the Diamond DTV2000.
The driver may be allready stable, but it is a early version, so use it
carefull, please! Have a lot fun with watching TV! ;-)

Authors:
--------
    Ralph Metzler <rjkm@thp.uni-koeln.de>
    Marcus Metzler <mocm@thp.uni-koeln.de>

%prep
%setup -n bttv
%patch
%build
KERNEL_LOCATION="/usr/src/linux"
export KERNEL_LOCATION
if test ! -e $KERNEL_LOCATION/.config ; then
    $SHELL -c echo ---------------------------------------------------------
    $SHELL -c echo Your kernel has no .config.  bttv needs this!
    $SHELL -c echo running make oldconfig - this should not make any trouble...
    $SHELL -c echo ---------------------------------------------------------
    OLD_PWD=`pwd`
    cd /usr/src/linux
    make oldconfig
    cd $OLD_PWD
elif test ! -e $KERNEL_LOCATION/include/linux/autoconf.h ; then
    $SHELL -c echo ---------------------------------------------------------
    $SHELL -c echo Your kernel has no autoconfig.h. bttv needs this!
    $SHELL -c echo running make oldconfig - should not make any trouble...
    $SHELL -c echo ---------------------------------------------------------
    OLD_PWD=`pwd`
    cd $KERNEL_LOCATION
    make oldconfig
    cd $OLD_PWD
fi
export RPM_OPT_FLAGS
export RPM_BUILD_ROOT
make bttv
make -C vtx-driver
# XTVscreen...:
test -x /usr/sbin/switch_motif_linking && \
	/usr/sbin/switch_motif_linking dynamic
make xtvscreen
mv XTV/xtvscreen xtvscreen.SuSE-dynamic
test -x /usr/sbin/switch_motif_linking && \
	/usr/sbin/switch_motif_linking static
make -C XTV xtvscreen
mv XTV/xtvscreen xtvscreen.SuSE-static
cp XTV/CHANGES       CHANGES.xtvscreen
cp XTV/README        README.xtvscreen
cp driver/MODULES    .
rm -f "doc/#ICs#"
rm -f apps/*.orig
mkdir tools
cp driver/bttv.h        tools/
cp driver/bt848.h       tools/
cp driver/i2c.h         tools/
cp driver/msp3400.h     tools/
cp driver/videodev.h    tools/
# because rpm installs 'deleted files' :-|
cp apps/Makefile        tools/
cp apps/README          tools/
cp apps/README.glidetv  tools/
cp apps/glidetv-old.c   tools/
cp apps/glidetv.c       tools/
cp apps/kraxel-tvee.h   tools/
cp apps/mytvee.h        tools/
cp apps/readee.c        tools/
cp apps/writeee.c       tools/
%install
install -c    -m755 XTV/xtvscreen1          $RPM_BUILD_ROOT/usr/X11R6/bin/
install -c -s -m755 xtvscreen.SuSE-static   $RPM_BUILD_ROOT/usr/X11R6/bin/
install -c -s -m755 xtvscreen.SuSE-dynamic  $RPM_BUILD_ROOT/usr/X11R6/bin/
ln -sf xtvscreen.SuSE-static    $RPM_BUILD_ROOT/usr/X11R6/bin/xtvscreen
install -c -m644 XTV/XTvscreen.sample $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XTvscreen
Check
%files
%doc README.SuSE
%doc xtvrc.SuSE-1
%doc doc
%doc tools
%doc CARDS
%doc CHANGES
%doc CONTRIBUTORS
%doc COPYING
%doc INSTALL
%doc README
%doc THANKS
%doc bttv.lsm
%doc MODULES
%doc CHANGES.xtvscreen
%doc README.xtvscreen
/usr/X11R6/bin/xtvscreen1
/usr/X11R6/bin/xtvscreen.SuSE-dynamic
/usr/X11R6/bin/xtvscreen.SuSE-static
/usr/X11R6/bin/xtvscreen
/usr/X11R6/lib/X11/app-defaults/XTvscreen

